<?xml version="1.0" encoding="UTF-8"?>
<!--
This file is part of the Scilab time frequency toolbox.
This file must be used under the terms of the  terms of the GNU General Public License 
as published by the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Copyright (c) 1995 Rice University - CNRS (France) 1996.
-->


<refentry xml:id="rem" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>rem</refname><refpurpose>Return the remainder of the division x/y</refpurpose>
  </refnamediv>



  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>
      r = rem(x,y)
    </synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry><term>x :</term>
      <listitem><para>a real or integer type array.</para></listitem></varlistentry>
    </variablelist>
    <variablelist>
      <varlistentry><term>y :</term>
      <listitem><para>a real o integer  type array.</para></listitem></varlistentry>
    </variablelist>
  </refsection>
  <refsection>
  </refsection>
  <title>Description</title>
  <para>Return the remainder of the division x/y, more precisely r = x - y .* fix (x ./ y);</para>
  <para> x or y may be scalars or arrays. If both are arrays they must have the same sizes</para>
  <para>x and y may have different types, the results type if the type of x.</para>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[
    rem(1:5,3)
    rem(1:5,3*ones(1,5))
    r=rem(uint32(1:5),2)
    r=rem(uint32(1:5),2)
    typeof(r)
    ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <link type="scilab" linkend="scilab.help/modulo">modulo</link> 
    <link type="scilab" linkend="scilab.help/pmodulo">pmodulo</link> 
  </refsection>
</refentry>
